# Uses of Class
org.apache.sling.testing.resourceresolver.MockResourceResolverFactory

## Uses of MockResourceResolverFactory in org.apache.sling.testing.resourceresolver

Constructors in org.apache.sling.testing.resourceresolver with parameters of type MockResourceResolverFactory
Modifier
Constructor
Description
``
`MockResourceResolver(MockResourceResolverFactoryOptions options, MockResourceResolverFactory factory, Map<String,Map<String,Object>> resources)`
``
`MockResourceResolver(MockResourceResolverFactoryOptions options, MockResourceResolverFactory factory, Map<String,Map<String,Object>> resources, Map<String,Object> attributes)`